OpenAI

Compact a response

Compact a model response's input into a summary.

POST /openai/v1/responses/compact○ Unsupported

Official OpenAI docs ↗

Returns

501 This endpoint is not implemented yet; calling it returns the response below:

Compacts a response's input into a summary. It depends on OpenAI Responses' official server-side storage (store) semantics, which we have not implemented yet; calling it returns 501 (message “This platform has not implemented … yet.”, with the x-should-retry header set to false), has no side effects, and the official SDK will not retry.

Errors follow the OpenAI format — see error codes

Response

HTTP 200

Native Responses API compact response

application/json

NameTypeDescription
$object